Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# timer Class Reference

A subsecond timer. More...

`#include <timing.h>`

List of all members.

## Public Member Functions
| timer ()
| Constructor.
void | set_timer (time_val interval)
| Set the timer.
void | set_timer (double interval)
| Set the timer.
void | inc_timer (double inc)
| Increment the timer.
bool | finished ()
| Check whether the timer has finished.
void | sleep_until_finished ()
| Sleep until finished.

## Detailed Description

A subsecond timer.

## Member Function Documentation

bool timer::finished | ( |  | ) | `[inline]`

Check whether the timer has finished.

Returns:
  `true` if the timer has finished, otherwise `false`.

void timer::inc_timer | ( | double | inc | ) | `[inline]`

Increment the timer.

Parameters:

  inc | length of time in microseconds that the timer should be extended.

void timer::set_timer | ( | double | interval | ) | `[inline]`

Set the timer.

Parameters:

  interval | length of time in microseconds that the timer should run.

void timer::set_timer | ( | time_val | interval | ) | `[inline]`

Set the timer.

Parameters:

  interval | length of time the timer should run.

void timer::sleep_until_finished | ( |  | ) | `[inline]`

Sleep until finished.

Pause program execution for the amount of time remaining on the timer.

The documentation for this class was generated from the following file:

- base/timing.h